I am not trying to seduce you
When I dance, they call me Macarena
And the boys, they say que soy buena
They all want me
They can't have me
So they all come and dance beside me
Move with me
Chant with me
And if you're good, I'll take you home with me
Dale a tu cuerpo alegría Macarena
Que tu cuerpo es pa' darle alegría y cosa buena
Dale a tu cuerpo alegría, Macarena
Hey Macarena, ay
Dale a tu cuerpo alegría Macarena
Que tu cuerpo es pa' darle alegría y cosa buena
Dale a tu cuerpo alegría, Macarena
Hey Macarena, ay
But don't you worry about my boyfriend
He's a boy whose name is Vitorino
I don't want him
Couldn't stand him
He was no good so I (hahahaha)
Now, come on, what was I supposed to do?
He was out of town and his two friends were so fine
Dale a tu cuerpo alegría Macarena
Que tu cuerpo es pa' darle alegría y cosa buena
Dale a tu cuerpo alegría, Macarena
Hey Macarena, ay
Dale a tu cuerpo alegría Macarena
Que tu cuerpo es pa' darle alegría y cosa buena
Dale a tu cuerpo alegría, Macarena
Hey Macarena, ay
Oh-ah
Ay, ay
Ay, ay
Ay, ay
I am not trying to seduce you, ay
Mac, mac, mac, mac, mac, mac, Macarena
Mac, mac, mac, mac, mac, mac, Macarena
Mac, mac, mac, mac, mac, mac, Macarena
Ay, ay
Mac, mac, mac, mac, mac, mac, Macarena
Mac, mac, mac, mac, mac, mac, Macarena
Mac, mac, mac, mac, mac, mac, Macarena
Macarena Macarena Macarena Macarena
Dale a tu cuerpo alegría Macarena
Que tu cuerpo es pa' darle alegría y cosa buena
Dale a tu cuerpo alegría, Macarena
Hey Macarena, ay
Dale a tu cuerpo alegría Macarena
Que tu cuerpo es pa' darle alegría y cosa buena
Dale a tu cuerpo alegría, Macarena
Hey Macarena, ay
Oh-ah-oh
Oh
Ay
Hahahaha
Come and find me, my name is Macarena
Always at the party con las chicas que son buenas
Come join me
Dance with me
And all you fellows chant along with me
Dale a tu cuerpo alegría Macarena
Que tu cuerpo es pa' darle alegría y cosa buena
Dale a tu cuerpo alegría, Macarena
Hey Macarena, ay
Dale a tu cuerpo alegría Macarena
Que tu cuerpo es pa' darle alegría y cosa buena
Dale a tu cuerpo alegría, Macarena
Hey Macarena, ay
Dale a tu cuerpo alegría Macarena
Que tu cuerpo es pa' darle alegría y cosa buena
Dale a tu cuerpo alegría, Macarena
Hey Macarena, ay
Dale a tu cuerpo alegría Macarena
Que tu cuerpo es pa' darle alegría y cosa buena
Dale a tu cuerpo alegría, Macarena
Hey Macarena, ay
Dale a tu cuerpo alegría Macarena
Que tu cuerpo es pa' darle alegría y cosa buena
Dale a tu cuerpo alegría, Macarena
Hey Macarena, ay